%define upstream_name turbomail
Name:           python-turbomail
Version:        3.0
Release:        2.3
Summary:        Python library for delivery of email from your app

Group:          Development/Languages
License:        MIT
URL:            http://toscawidgets.org
Source0:        %{upstream_name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-root
%{py_requires}
BuildRequires:  python-devel
BuildRequires:  python-setuptools

%description
TurboMail 3 offers:

* Simplified creation of complex messages, including rich text, attachments, and more.
* Modular delivery managers including the blocking immediate manager and the threaded on demand manager.
* Modular back-ends ('transports') including SMTP and in-memory (debug)
* Easier debugging when using the debug back-end in concert with the immediate manager.
* A plugin architecture with a sample plugin for altered message encoding.
* Automatic integration into TurboGears 1.x.

Python includes several standard packages for handling e-mail. These libraries are independent of each-other, their documentation is hard-to-follow, and their examples are hardly real-world. TurboMail ties these dispersant elements together with an elegant and extensible API, freeing you (the developer) from drudge-work, strained eyes, and loss of hair, even for the most complicated use-cases.

%prep
%setup -q -n %{upstream_name}-%{version}


%build
python setup.py build


%install
python setup.py install -O1 --prefix=%{_prefix} --skip-build --root $RPM_BUILD_ROOT --record-rpm=INSTALLED


%clean
rm -rf $RPM_BUILD_ROOT


%files -f INSTALLED
%defattr(-,root,root,-)
%doc documentation/


%changelog
* Sun Aug 30 2009 Ciaran Farrell <cfarrell1980@gmail.com> - 3.0
- Import to OBS

